%global mod_name ssh-slaves-plugin
%global short_name ssh-slaves
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/

Name:           jenkins-ssh-slaves-plugin
Version:        1.10
Release:        %mkrel 3
Group:          Development/Java
Summary:        Jenkins SSH Slaves Plugin

License:        MIT
URL:            https://github.com/jenkinsci/ssh-slaves-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Taken from src/main/java/hudson/plugins/sshslaves/SSHLauncher.java
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(com.trilead:trilead-ssh2)
BuildRequires:  mvn(org.acegisecurity:acegi-security)
BuildRequires:  mvn(org.jenkins-ci.plugins:credentials)
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.jenkins-ci.plugins:ssh-credentials)
BuildRequires:  mvn(org.jenkins-ci.tools:maven-hpi-plugin)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(com.google.code.findbugs:annotations)

BuildRequires:  zip 

BuildArch:      noarch

%description
This packages provides a means to launch Jenkins slaves via SSH.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

cp %{SOURCE1} .

%mvn_file ::hpi:: %{name}/%{short_name}

%build
# tests are disabled because of missing dep (org.jenkins-ci.main:jenkins-test-harness)
%mvn_build -f

%install
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d target/%{short_name}.hpi-unpacked target/%{short_name}.hpi
pushd target/%{short_name}.hpi-unpacked/WEB-INF/lib/
  rm %{short_name}.jar && ln -s %{_javadir}/%{name}/%{short_name}.jar .
  xmvn-subst -s .
popd
pushd target/%{short_name}.hpi-unpacked/
  zip -y -r %{short_name}.hpi .
popd
mv target/%{short_name}.hpi-unpacked/%{short_name}.hpi target/
cp target/%{short_name}.hpi %{buildroot}/%{plugin_home}/
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%{plugin_home}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt



%changelog
* Fri Mar 11 2016 neoclust <neoclust> 1.10-3.mga6
+ Revision: 989206
- imported package jenkins-ssh-slaves-plugin

